<html>
<head>
    <meta charset="utf-8">
    <meta lang="pt-BR">
    <title> Agenda Lubeck </title>
    
    <link rel='stylesheet' href='fullcalendar/fullcalendar.css' />
    <script src='fullcalendar/lib/jquery.min.js'></script>
    <script src='fullcalendar/lib/moment.min.js'></script>
    <script src='fullcalendar/fullcalendar.js'></script>
    
    <!-- script de tradução -->
    <script src='fullcalendar/lang/pt-br.js'></script>       
    <script language="javascript">
		//FUNÇÃO PARA ABRIR JANELA POP UP NO CENTRO DA PÁGINA
		  function  centerpopup(url,nome,altura,largura){
		  var minimo = screen.width/4; // esta será a largura e a altura mínima    evitando uma 
		  // janela muito pequena
		  var maximo = screen.height + 1024; // esta será a largura e a altura máxima
		  // evitando uma janela muito grande
		  var w = ( ( ( (largura>minimo)? largura:minimo )<maximo )?largura:maximo);
		  var h = ( ( ( ( altura>minimo )? altura:minimo )<maximo )?altura:maximo);
		  var l = (screen.width/2) - w/2;    // valor para a posição na horizontal
		  var t = (screen.height/2) - h/2;    // valor para a posição na vertical
		  var argumentos = 'copyhistory=yes,width='+w+',height='+h+',Janela,scrollbars=yes,left='+l+',top='+t+',screenX='+l+',screenY='+t;
		  var novajan = window.open(url,nome, argumentos);
		}
		/*    Exemplo de uso: =     */

	
       $(document).ready(function() {	
           	
            //CARREGA CALENDÁRIO E EVENTOS DO BANCO
            $('#calendario').fullCalendar({
                header: {
                    left: 'prev,next today',
                    center: 'title',
                    right: 'month,agendaWeek,agendaDay'
                },
                defaultDate: '<?php echo date("Y-m-d");?>',
                editable: true,
                eventLimit: true, 
                events: 'eventos.php',           
                eventColor: '#dd5777'
            });	
            
            //CADASTRA NOVO EVENTO
            $('#novo_evento').submit(function(){
                //serialize() junta todos os dados do form e deixa pronto pra ser enviado pelo ajax
                var dados = jQuery(this).serialize();
                $.ajax({
                    type: "POST",
                    url: "cadastrar_evento.php",
                    data: dados,
                    success: function(data)
                    {   
                        if(data == "1"){
                            alert("Cadastrado com sucesso!");
                            //atualiza a página!
                            location.reload();
                        }else{
                            alert("Houve algum problema..");
                        }
                    }
                });                
                return false;
            });	
	   }); 
                
    </script>
	
    <?php
	require_once("modulos/logado.php");
    $explode   	= explode("-",$_COOKIE["nunes"]);
	$Nome       = $explode[0];
	$IdUsuario  = $explode[2];
    ?>
	<style>
        #calendario{
            position: relative;
            width: 100%;
            margin: 0px auto;
        }        
    </style>
    
</head>
<body>
<div id='calendario'></div>

<!-- Small modal -->
<button style="position:absolute; left:15%; top:0px; z-index:10;" type="button" class="btn btn-primary" data-toggle="modal" data-target=".bs-example-modal-smCompromisso">Adicionar Compromisso</button>

<div class="modal fade bs-example-modal-smCompromisso" tabindex="1" role="dialog" aria-labelledby="mySmallModalLabel">
	<div class="modal-dialog modal-sm" role="documentCompromisso" style="width:30%;">
	<div class="modal-content">
	<div class="container">
		<br>
        <form id="novo_evento" action="" method="post">
		<input type="hidden" name="idevento" value="<?php echo add_item("IdEvento","eventos");?>">
            Nome do Evento: <input type="text" name="nome" required autocomplete="off" class="form-control tooltip-left" style="width:30%" autofocus><br/>  
            Data do Evento: <input type="datetime-local" name="data" required class="form-control tooltip-left"  style="width:20%"><br/>
			 Fim do Evento: <input type="datetime-local" name="fim" required class="form-control tooltip-left"  style="width:20%"><br/>
			 <input type="hidden" name="IdUsuario" value="<?php echo $IdUsuario;?>" />
			 
            <button type="submit" class="btn btn-primary"> Cadastrar novo evento </button>
        </form>
    </div>
	</div>
	</div>
	</div>
</div>

	
	
	</body>
</html>
