<?php
require_once("padroes/conexao.php");
require_once("padroes/funcoes.php");

$mes = 01;//$_GET["mes"];	
$ano = 2018;

?>

<!DOCTYPE html>
<html lang="pt">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title><?php echo $titulo;?></title>
	
    <script type="text/javascript" src="https://www.gstatic.com/charts/loader.js"></script>
    <script type="text/javascript">
      google.charts.load('current', {'packages':['corechart']});
      google.charts.setOnLoadCallback(drawVisualization);

      function drawVisualization() {
	  var data = google.visualization.arrayToDataTable([
         ['Element', '<?php echo soma("Credito","movcaixa","DataMovimento"," between '$ano-$mes-1' and '$ano-$mes-31' and Descricao <> 'ABERTURA DE CAIXA'");?>', { role: 'style' }, { role: 'annotation' } ],
         <?php for($x=1;$x<=30;$x++){?>
		 ['<?php echo $x;?>/01', <?php echo soma("Credito","movcaixa","DataMovimento"," between '$ano-$mes-$x' and '$ano-$mes-$x' and Descricao <> 'ABERTURA DE CAIXA'");?>0, '#1E90FF', '<?php echo soma("Credito","movcaixa","DataMovimento"," between '$ano-$mes-$x' and '$ano-$mes-$x' and Descricao <> 'ABERTURA DE CAIXA'");?>' ],
         <?php } ?>
		 ['<?php echo $mes;?>/31', <?php echo soma("Credito","movcaixa","DataMovimento"," between '$ano-$mes-31' and '$ano-$mes-31' and Descricao <> 'ABERTURA DE CAIXA'");?>0, '#1E90FF', '<?php echo soma("Credito","movcaixa","DataMovimento"," between '$ano-$mes-31' and '$ano-$mes-31' and Descricao <> 'ABERTURA DE CAIXA' ");?>' ]
      ]);
	  

    var options = {
      title : 'Grafico de vendas mes <?php echo mes_extenso($mes);?> - <?php echo $ano;?>',
      vAxis: {title: 'Padaria Canta Galo'},
      hAxis: {title: 'A+ Solution - <?php echo date("Y");?>'},
      seriesType: 'bars',
      series: {5: {type: 'line'}}
    };

    var chart = new google.visualization.ComboChart(document.getElementById('chart_div'));
    chart.draw(data, options);
  }
    </script>
	
    <script type="text/javascript">
      google.charts.load('current', {'packages':['corechart']});
      google.charts.setOnLoadCallback(drawVisualization);

      function drawVisualization() {
	  var data = google.visualization.arrayToDataTable([
         ['Element', '<?php echo soma("Debito","movcaixa","DataMovimento"," between '$ano-$mes-1' and '$ano-$mes-31'");?>', { role: 'style' }, { role: 'annotation' } ],
         <?php for($x=1;$x<=30;$x++){?>
		 ['<?php echo $x;?>/01', <?php echo soma("Debito","movcaixa","DataMovimento"," between '$ano-$mes-$x' and '$ano-$mes-$x'");?>0, '#DC143C', '<?php echo soma("Debito","movcaixa","DataMovimento"," between '$ano-$mes-$x' and '$ano-$mes-$x'");?>' ],
         <?php } ?>
		 ['<?php echo $mes;?>/31', <?php echo soma("Debito","movcaixa","DataMovimento"," between '$ano-$mes-31' and '$ano-$mes-31'");?>0, '#DC143C', '<?php echo soma("Debito","movcaixa","DataMovimento"," between '$ano-$mes-31' and '$ano-$mes-31'");?>' ]
      ]);
	  

    var options = {
      title : 'Grafico de compras mes <?php echo mes_extenso($mes);?> - <?php echo $ano;?>',
      vAxis: {title: 'Padaria Canta Galo'},
      hAxis: {title: 'A+ Solution - <?php echo date("Y");?>'},
      seriesType: 'bars',
      series: {5: {type: 'line'}}
    };

    var chart = new google.visualization.ComboChart(document.getElementById('chart_div2'));
    chart.draw(data, options);
  }
    </script>	
	
  </head>
  <body>
    <div id="chart_div" style="width: 100%; height: 400px;"></div>
	
	<div id="chart_div2" style="width: 100%; height: 400px;"></div>
	<div class="row col-sm-12">
		<div class="row col-sm-7">	
			<h4>Movimento Detalhado de Despesas</h4>
		</div>
		<table class="table table-striped">
            <thead>
              <tr>
                <th>#</th>
                <th>Descricao</th>             
                <th>Valor</th>
				<th>Data</th>
				<th></th>				
              </tr>
            </thead>
            <tbody>
		 <?php
		 $sql = mysql_query("select * from movcaixa where DataMovimento between '$ano-$mes-1' and '$ano-$mes-31' and Debito > '0' order by Descricao, Data ");
		if (!$sql) {
			echo 'Não foi foi possível exetucar consulta: ' . mysql_error();
		exit;
		}
		$qtd = mysql_num_rows($sql);

		for($x=1;$x<=$qtd;$x++){
		$result = mysql_fetch_assoc($sql);
		?>
			 <tr style="font-size:13px; <?php if($result["Debito"] <> 0.00) echo "color:#ff0000";?>">
				<td><?php echo ($result["IdMovimento"]);?></td>
				<td><?php echo ($result["Descricao"]);?></td>
                <td><?php echo ($result["Debito"]);?></td>
                <td><?php echo (data_formatada($result["Data"]));?></td>				
				<td>
				<span class="">
				
				</span>	
		<?php } ?>
		</div>
  </body>
</html>